Home | All Classes | Grouped Classes | Index | Search

# CL_Endian::swap

Swaps larger amounts of data between little and big endian.

    	void swap(
    		void* data, int type_size, int total_times=1);

Parameters:

data
  Data to be swapped.
type_size
  Size of datatype to be swapped.
total_times
  Number of 'type_size' size data chunks to be swapped.

See also:

CL_Endian

Questions or comments, write to the ClanLib mailing list.